CREATE FUNCTION CF_Prod_Listas_Precios_Validar_U (@Id_Lista_Precio SMALLINT, @Id_Usuario SMALLINT)
RETURNS TINYINT 
AS
BEGIN
IF (@Id_Usuario = -1)
	RETURN 1

IF ISNULL((SELECT COUNT(*) FROM Prod_Listas_precios_Usuarios WHERE Id_Lista_Precio = @Id_Lista_Precio),0) = 0
	RETURN 1

IF EXISTS (SELECT 1 FROM Prod_Listas_precios_Usuarios WHERE Id_Lista_Precio = @Id_Lista_Precio AND Id_Usuario = @Id_Usuario)
	RETURN 1


RETURN 0
END